.spinner {
    position: absolute;
    width: 8rem;
    height: 8rem;
    border-radius: 50%;
    z-index: 15;
}

.spinner:before,
.spinner:after {
    content: "";
    position: absolute;
    border-radius: inherit;
}

.spinner:before {
    width: 100%;
    height: 100%;
    background-image: linear-gradient(0deg, var(--clr-orange) 0%, hsl(0, 0%, 100%) 100%);
    animation: spin 1s infinite linear;
}

.spinner:after {
    width: 85%;
    height: 85%;
    background-color: var(--clr-red);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.spinnerLabel {
    position: absolute;
    margin-top: 12rem;
    z-index: 15;
    font-size: 2rem;
    text-transform: uppercase;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}